Revert "New autotools version"
[scilab.git] / scilab / modules / double / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 @MAINTAINER_MODE_FALSE@am__append_1 = libscidouble.la
104 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
105         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
106         $(top_srcdir)/config/depcomp
107 @NEED_JAVA_TRUE@am__append_2 = java
108 subdir = modules/double
109 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
110 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
111         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
112         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
113         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
114         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
115         $(top_srcdir)/m4/intel_compiler.m4 \
116         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
117         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
118         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
119         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
120         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
121         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
122         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
123         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
124         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
125         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
126         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
127 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128         $(ACLOCAL_M4)
129 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
130 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
131 CONFIG_CLEAN_FILES =
132 CONFIG_CLEAN_VPATH_FILES =
133 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
134 am__vpath_adj = case $$p in \
135     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
136     *) f=$$p;; \
137   esac;
138 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
139 am__install_max = 40
140 am__nobase_strip_setup = \
141   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
142 am__nobase_strip = \
143   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
144 am__nobase_list = $(am__nobase_strip_setup); \
145   for p in $$list; do echo "$$p $$p"; done | \
146   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
147   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
148     if (++n[$$2] == $(am__install_max)) \
149       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
150     END { for (dir in files) print dir, files[dir] }'
151 am__base_list = \
152   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
153   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
154 am__uninstall_files_from_dir = { \
155   test -z "$$files" \
156     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
157     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
158          $(am__cd) "$$dir" && rm -f $$files; }; \
159   }
160 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
161         "$(DESTDIR)$(libscidouble_la_etcdir)" \
162         "$(DESTDIR)$(libscidouble_la_rootdir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libdummy_double_la_LIBADD =
165 am_libdummy_double_la_OBJECTS = vecimpl.lo
166 libdummy_double_la_OBJECTS = $(am_libdummy_double_la_OBJECTS)
167 AM_V_lt = $(am__v_lt_@AM_V@)
168 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169 am__v_lt_0 = --silent
170 am__v_lt_1 = 
171 libscidouble_la_DEPENDENCIES = libdummy-double.la
172 am__objects_1 = libscidouble_la-gw_double.lo
173 am__objects_2 = vecldiv.lo vecmul.lo matxpow.lo matldiv.lo matsubt.lo \
174         vecrdiv.lo matchsgn.lo matrdiv.lo matrc.lo matpow.lo \
175         matins1.lo matins2.lo matcmp.lo matmult.lo matext1.lo \
176         matext2.lo mattr.lo matcc.lo mattrc.lo matadd.lo
177 am_libscidouble_la_OBJECTS = $(am__objects_1) $(am__objects_2)
178 libscidouble_la_OBJECTS = $(am_libscidouble_la_OBJECTS)
179 @MAINTAINER_MODE_FALSE@am_libscidouble_la_rpath =
180 @MAINTAINER_MODE_TRUE@am_libscidouble_la_rpath = -rpath $(pkglibdir)
181 AM_V_P = $(am__v_P_@AM_V@)
182 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183 am__v_P_0 = false
184 am__v_P_1 = :
185 AM_V_GEN = $(am__v_GEN_@AM_V@)
186 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187 am__v_GEN_0 = @echo "  GEN     " $@;
188 am__v_GEN_1 = 
189 AM_V_at = $(am__v_at_@AM_V@)
190 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191 am__v_at_0 = @
192 am__v_at_1 = 
193 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
194 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
195 am__depfiles_maybe = depfiles
196 am__mv = mv -f
197 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
198         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
199 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
200         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
201         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202         $(AM_CFLAGS) $(CFLAGS)
203 AM_V_CC = $(am__v_CC_@AM_V@)
204 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
205 am__v_CC_0 = @echo "  CC      " $@;
206 am__v_CC_1 = 
207 CCLD = $(CC)
208 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
210         $(AM_LDFLAGS) $(LDFLAGS) -o $@
211 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
212 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
213 am__v_CCLD_0 = @echo "  CCLD    " $@;
214 am__v_CCLD_1 = 
215 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
216 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
217         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
218 AM_V_F77 = $(am__v_F77_@AM_V@)
219 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
220 am__v_F77_0 = @echo "  F77     " $@;
221 am__v_F77_1 = 
222 F77LD = $(F77)
223 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
224         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
225         $(AM_LDFLAGS) $(LDFLAGS) -o $@
226 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
227 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
228 am__v_F77LD_0 = @echo "  F77LD   " $@;
229 am__v_F77LD_1 = 
230 SOURCES = $(libdummy_double_la_SOURCES) $(libscidouble_la_SOURCES)
231 DIST_SOURCES = $(libdummy_double_la_SOURCES) \
232         $(libscidouble_la_SOURCES)
233 am__can_run_installinfo = \
234   case $$AM_UPDATE_INFO_DIR in \
235     n|no|NO) false;; \
236     *) (install-info --version) >/dev/null 2>&1;; \
237   esac
238 DATA = $(libscidouble_la_etc_DATA) $(libscidouble_la_root_DATA)
239 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240 # Read a list of newline-separated strings from the standard input,
241 # and print each of them once, without duplicates.  Input order is
242 # *not* preserved.
243 am__uniquify_input = $(AWK) '\
244   BEGIN { nonempty = 0; } \
245   { items[$$0] = 1; nonempty = 1; } \
246   END { if (nonempty) { for (i in items) print i; }; } \
247 '
248 # Make sure the list of sources is unique.  This is necessary because,
249 # e.g., the same source file might be shared among _SOURCES variables
250 # for different programs/libraries.
251 am__define_uniq_tagged_files = \
252   list='$(am__tagged_files)'; \
253   unique=`for i in $$list; do \
254     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255   done | $(am__uniquify_input)`
256 ETAGS = etags
257 CTAGS = ctags
258 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
259 ACLOCAL = @ACLOCAL@
260 ALL_LINGUAS = @ALL_LINGUAS@
261 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
262 AMTAR = @AMTAR@
263 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
264 ANT = @ANT@
265 ANTLR = @ANTLR@
266 AR = @AR@
267 ARPACK_LIBS = @ARPACK_LIBS@
268 ASM3 = @ASM3@
269 AUTOCONF = @AUTOCONF@
270 AUTOHEADER = @AUTOHEADER@
271 AUTOMAKE = @AUTOMAKE@
272 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
273 AWK = @AWK@
274 BATIK = @BATIK@
275 BLAS_LIBS = @BLAS_LIBS@
276 CC = @CC@
277 CCACHE = @CCACHE@
278 CCDEPMODE = @CCDEPMODE@
279 CFLAGS = @CFLAGS@
280 CHECKSTYLE = @CHECKSTYLE@
281 COBERTURA = @COBERTURA@
282 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
283 COMMONS_IO = @COMMONS_IO@
284 COMMONS_LOGGING = @COMMONS_LOGGING@
285 CPP = @CPP@
286 CPPFLAGS = @CPPFLAGS@
287 CURL_CFLAGS = @CURL_CFLAGS@
288 CURL_CONFIG = @CURL_CONFIG@
289 CURL_LIBS = @CURL_LIBS@
290 CURL_VERSION = @CURL_VERSION@
291 CXX = @CXX@
292 CXXCPP = @CXXCPP@
293 CXXDEPMODE = @CXXDEPMODE@
294 CXXFLAGS = @CXXFLAGS@
295 CYGPATH_W = @CYGPATH_W@
296 DEFS = @DEFS@
297 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
298 DEPDIR = @DEPDIR@
299 DOCBOOK_ROOT = @DOCBOOK_ROOT@
300 DOXYGEN_BIN = @DOXYGEN_BIN@
301 DSYMUTIL = @DSYMUTIL@
302 DUMPBIN = @DUMPBIN@
303 ECHO_C = @ECHO_C@
304 ECHO_N = @ECHO_N@
305 ECHO_T = @ECHO_T@
306 EGREP = @EGREP@
307 EXEEXT = @EXEEXT@
308 F77 = @F77@
309 FFLAGS = @FFLAGS@
310 FFTW3_LIB = @FFTW3_LIB@
311 FFTW_ENABLE = @FFTW_ENABLE@
312 FGREP = @FGREP@
313 FLEXDOCK = @FLEXDOCK@
314 FLIBS = @FLIBS@
315 FOP = @FOP@
316 GENHTML = @GENHTML@
317 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
318 GIWS_BIN = @GIWS_BIN@
319 GLUEGEN2_RT = @GLUEGEN2_RT@
320 GMSGFMT = @GMSGFMT@
321 GMSGFMT_015 = @GMSGFMT_015@
322 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
323 GREP = @GREP@
324 GUI_ENABLE = @GUI_ENABLE@
325 HDF5_CFLAGS = @HDF5_CFLAGS@
326 HDF5_LIBS = @HDF5_LIBS@
327 HELP_ENABLE = @HELP_ENABLE@
328 INSTALL = @INSTALL@
329 INSTALL_DATA = @INSTALL_DATA@
330 INSTALL_PROGRAM = @INSTALL_PROGRAM@
331 INSTALL_SCRIPT = @INSTALL_SCRIPT@
332 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
333 INTLLIBS = @INTLLIBS@
334 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
335 JAR = @JAR@
336 JAVA = @JAVA@
337 JAVAC = @JAVAC@
338 JAVAC_DEBUG = @JAVAC_DEBUG@
339 JAVADOC = @JAVADOC@
340 JAVAH = @JAVAH@
341 JAVASCI_ENABLE = @JAVASCI_ENABLE@
342 JAVA_ENABLE = @JAVA_ENABLE@
343 JAVA_G = @JAVA_G@
344 JAVA_HOME = @JAVA_HOME@
345 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
346 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
347 JDB = @JDB@
348 JEUCLID_CORE = @JEUCLID_CORE@
349 JGRAPHX = @JGRAPHX@
350 JHALL = @JHALL@
351 JLATEXMATH = @JLATEXMATH@
352 JLATEXMATH_FOP = @JLATEXMATH_FOP@
353 JOGL2 = @JOGL2@
354 JROSETTA_API = @JROSETTA_API@
355 JROSETTA_ENGINE = @JROSETTA_ENGINE@
356 JUNIT4 = @JUNIT4@
357 LAPACK_LIBS = @LAPACK_LIBS@
358 LCOV = @LCOV@
359 LD = @LD@
360 LDFLAGS = @LDFLAGS@
361 LIBICONV = @LIBICONV@
362 LIBINTL = @LIBINTL@
363 LIBM = @LIBM@
364 LIBOBJS = @LIBOBJS@
365 LIBS = @LIBS@
366 LIBTOOL = @LIBTOOL@
367 LIPO = @LIPO@
368 LN_S = @LN_S@
369 LOGGING_LEVEL = @LOGGING_LEVEL@
370 LOOKS = @LOOKS@
371 LTLIBICONV = @LTLIBICONV@
372 LTLIBINTL = @LTLIBINTL@
373 LTLIBOBJS = @LTLIBOBJS@
374 MAINT = @MAINT@
375 MAKEINFO = @MAKEINFO@
376 MATIO_CFLAGS = @MATIO_CFLAGS@
377 MATIO_ENABLE = @MATIO_ENABLE@
378 MATIO_LIBS = @MATIO_LIBS@
379 MKDIR_P = @MKDIR_P@
380 MPI_ENABLE = @MPI_ENABLE@
381 MSGCAT = @MSGCAT@
382 MSGFMT = @MSGFMT@
383 MSGFMT_015 = @MSGFMT_015@
384 MSGMERGE = @MSGMERGE@
385 NM = @NM@
386 NMEDIT = @NMEDIT@
387 OBJDUMP = @OBJDUMP@
388 OBJEXT = @OBJEXT@
389 OCAMLC = @OCAMLC@
390 OCAMLDEP = @OCAMLDEP@
391 OCAMLLEX = @OCAMLLEX@
392 OCAMLOPT = @OCAMLOPT@
393 OCAMLYACC = @OCAMLYACC@
394 OPENMPI_CC = @OPENMPI_CC@
395 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
396 OPENMPI_CXX = @OPENMPI_CXX@
397 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
398 OPENMPI_LIBS = @OPENMPI_LIBS@
399 OPENMP_CFLAGS = @OPENMP_CFLAGS@
400 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
401 OPENMP_ENABLE = @OPENMP_ENABLE@
402 OPENMP_LIBS = @OPENMP_LIBS@
403 OTOOL = @OTOOL@
404 OTOOL64 = @OTOOL64@
405 PACKAGE = @PACKAGE@
406 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
407 PACKAGE_NAME = @PACKAGE_NAME@
408 PACKAGE_STRING = @PACKAGE_STRING@
409 PACKAGE_TARNAME = @PACKAGE_TARNAME@
410 PACKAGE_URL = @PACKAGE_URL@
411 PACKAGE_VERSION = @PACKAGE_VERSION@
412 PATH_SEPARATOR = @PATH_SEPARATOR@
413 PCRE_CFLAGS = @PCRE_CFLAGS@
414 PCRE_CONFIG = @PCRE_CONFIG@
415 PCRE_LIBS = @PCRE_LIBS@
416 PCRE_VERSION = @PCRE_VERSION@
417 PKG_CONFIG = @PKG_CONFIG@
418 POSUB = @POSUB@
419 POW_LIB = @POW_LIB@
420 PYTHON = @PYTHON@
421 RANLIB = @RANLIB@
422 RELOCATABLE = @RELOCATABLE@
423 RT_LIB = @RT_LIB@
424 SAXON = @SAXON@
425 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
426 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
427 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
428 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
429 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
430 SCIRENDERER = @SCIRENDERER@
431 SCIRENDERER_CP = @SCIRENDERER_CP@
432 SCI_CFLAGS = @SCI_CFLAGS@
433 SCI_CXXFLAGS = @SCI_CXXFLAGS@
434 SCI_FFLAGS = @SCI_FFLAGS@
435 SCI_LDFLAGS = @SCI_LDFLAGS@
436 SED = @SED@
437 SET_MAKE = @SET_MAKE@
438 SET_RELOCATABLE = @SET_RELOCATABLE@
439 SHELL = @SHELL@
440 SKINLF = @SKINLF@
441 SPLINT = @SPLINT@
442 STRIP = @STRIP@
443 SWIG_BIN = @SWIG_BIN@
444 SWIG_JAVA = @SWIG_JAVA@
445 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
446 SWIG_SCILAB = @SWIG_SCILAB@
447 TCLTK_LIBS = @TCLTK_LIBS@
448 TCL_INC_PATH = @TCL_INC_PATH@
449 TK_INC_PATH = @TK_INC_PATH@
450 UMFPACK_ENABLE = @UMFPACK_ENABLE@
451 UMFPACK_LIB = @UMFPACK_LIB@
452 USE_NLS = @USE_NLS@
453 VERSION = @VERSION@
454 WITH_OCAML = @WITH_OCAML@
455 WITH_TKSCI = @WITH_TKSCI@
456 XCOS_ENABLE = @XCOS_ENABLE@
457 XGETTEXT = @XGETTEXT@
458 XGETTEXT_015 = @XGETTEXT_015@
459 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
460 XMKMF = @XMKMF@
461 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
462 XML_APIS_EXT = @XML_APIS_EXT@
463 XML_CONFIG = @XML_CONFIG@
464 XML_FLAGS = @XML_FLAGS@
465 XML_LIBS = @XML_LIBS@
466 XML_VERSION = @XML_VERSION@
467 X_CFLAGS = @X_CFLAGS@
468 X_EXTRA_LIBS = @X_EXTRA_LIBS@
469 X_LIBS = @X_LIBS@
470 X_PRE_LIBS = @X_PRE_LIBS@
471 abs_builddir = @abs_builddir@
472 abs_srcdir = @abs_srcdir@
473 abs_top_builddir = @abs_top_builddir@
474 abs_top_srcdir = @abs_top_srcdir@
475 ac_ct_AR = @ac_ct_AR@
476 ac_ct_CC = @ac_ct_CC@
477 ac_ct_CXX = @ac_ct_CXX@
478 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
479 ac_ct_F77 = @ac_ct_F77@
480 am__include = @am__include@
481 am__leading_dot = @am__leading_dot@
482 am__quote = @am__quote@
483 am__tar = @am__tar@
484 am__untar = @am__untar@
485 bindir = @bindir@
486 build = @build@
487 build_alias = @build_alias@
488 build_cpu = @build_cpu@
489 build_os = @build_os@
490 build_vendor = @build_vendor@
491 builddir = @builddir@
492 cxx_present = @cxx_present@
493 datadir = @datadir@
494 datarootdir = @datarootdir@
495 docdir = @docdir@
496 dvidir = @dvidir@
497 exec_prefix = @exec_prefix@
498 host = @host@
499 host_alias = @host_alias@
500 host_cpu = @host_cpu@
501 host_os = @host_os@
502 host_vendor = @host_vendor@
503 htmldir = @htmldir@
504 includedir = @includedir@
505 infodir = @infodir@
506 install_sh = @install_sh@
507 libdir = @libdir@
508 libexecdir = @libexecdir@
509 localedir = @localedir@
510 localstatedir = @localstatedir@
511 mandir = @mandir@
512 mkdir_p = @mkdir_p@
513 oldincludedir = @oldincludedir@
514 pdfdir = @pdfdir@
515 prefix = @prefix@
516 program_transform_name = @program_transform_name@
517 psdir = @psdir@
518 sbindir = @sbindir@
519 sharedstatedir = @sharedstatedir@
520 srcdir = @srcdir@
521 sysconfdir = @sysconfdir@
522 target_alias = @target_alias@
523 top_build_prefix = @top_build_prefix@
524 top_builddir = @top_builddir@
525 top_srcdir = @top_srcdir@
526 GATEWAY_C_SOURCES = sci_gateway/c/gw_double.c
527 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/vecldiv.f \
528 sci_gateway/fortran/vecmul.f \
529 sci_gateway/fortran/matxpow.f \
530 sci_gateway/fortran/matldiv.f \
531 sci_gateway/fortran/matsubt.f \
532 sci_gateway/fortran/vecrdiv.f \
533 sci_gateway/fortran/matchsgn.f \
534 sci_gateway/fortran/matrdiv.f \
535 sci_gateway/fortran/matrc.f \
536 sci_gateway/fortran/matpow.f \
537 sci_gateway/fortran/matins1.f \
538 sci_gateway/fortran/matins2.f \
539 sci_gateway/fortran/matcmp.f \
540 sci_gateway/fortran/matmult.f \
541 sci_gateway/fortran/matext1.f \
542 sci_gateway/fortran/matext2.f \
543 sci_gateway/fortran/mattr.f \
544 sci_gateway/fortran/matcc.f \
545 sci_gateway/fortran/mattrc.f \
546 sci_gateway/fortran/matadd.f
547
548 noinst_LTLIBRARIES = libdummy-double.la $(am__append_1)
549 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidouble.la
550 libscidouble_la_CPPFLAGS = -I$(top_srcdir)/modules/api_scilab/includes/ \
551 -I$(top_srcdir)/modules/output_stream/includes/ \
552 $(AM_CPPFLAGS)
553
554 libscidouble_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
555
556 # For the code check (splint)
557 CHECK_SRC = $(GATEWAY_C_SOURCES)
558 INCLUDE_FLAGS = $(libscidouble_la_CPPFLAGS)
559 libscidouble_la_LIBADD = libdummy-double.la
560 libdummy_double_la_SOURCES = sci_gateway/fortran/vecimpl.f
561
562 #### Target ######
563 modulename = double
564
565 #### double : Conf files ####
566 libscidouble_la_rootdir = $(mydatadir)
567 libscidouble_la_root_DATA = license.txt 
568
569 ####┬ádouble : init scripts ####
570 libscidouble_la_etcdir = $(mydatadir)/etc
571 libscidouble_la_etc_DATA = etc/double.quit etc/double.start
572
573 # Where all the Scilab stuff is installed (macros, help, ...)
574 mydatadir = $(pkgdatadir)/modules/$(modulename)
575
576 # Set AM_* SCI detected settings
577 AM_CPPFLAGS = $(SCI_CPPFLAGS)
578 AM_CFLAGS = $(SCI_CFLAGS)
579 AM_CXXFLAGS = $(SCI_CXXFLAGS)
580 # append includes to AM_FFLAGS to manage fortran includes
581 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
582
583 # Tag shared libraries with the Scilab version
584 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
585
586 # splint options
587 SPLINT_OPTIONS = -weak -booltype BOOL
588
589 ########################### JAVA ######################################
590 #### We are delegating java compilation to ant... Thanks to that
591 #### the procedure will be the same with Microsoft Windows (C)
592 #### and Linux/Unix
593 #######################################################################
594 TARGETS_ALL = $(am__append_2)
595
596 ################ MACROS ######################
597 # Rule to build a macro
598 # NOT USED  AT THE MOMENT
599 SUFFIXES = .sci 
600
601 ########### INSTALL DOCUMENTATION ###################
602
603 # Install documentation files into the right target
604 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
605 # automake needs the html files to be present which is not the case when
606 # we are building Scilab
607
608 # Where it should be installed
609 pkgdocdir = $(mydatadir)
610
611 # What is the mask of the help source
612 DOCMASKXML = *.xml
613
614 # What is the mask of the MathML sources
615 DOCMASKMML = *.mml
616
617 ########### INSTALL DATA ###################
618 # Install macros, help & demos
619 # Where it should be installed
620 pkgmacrosdir = $(mydatadir)
621 # Which directory we process
622 MACRODIRS = macros/
623 # Mask of the Scilab sources macros
624 MACROMASK = *.sci
625 # Mask of the Scilab executable sources macros
626 MACROBUILDMASK = *.sce
627 # Mask of the Scilab compiled macros
628 MACROBINMASK = *.bin
629 # List of the standard directory for tests
630 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
631 # Where the demos should be installed
632 pkgdemosdir = $(mydatadir)
633 # List of the standard directory for demos
634 DEMOS_DIR = demos
635 # List of the standard directory for examples
636 EXAMPLES_DIR = examples
637 # Where to export JAVA archives (.jar)
638 JARDIR = jar/
639 # JAR files mask
640 JARMASK = *.jar
641 # Chapter file 
642 HELP_CHAPTERDIR = help/
643 HELP_CHAPTERFILE = addchapter.sce
644 HELP_CHAPTERLANG = en_US fr_FR pt_BR
645 all: all-am
646
647 .SUFFIXES:
648 .SUFFIXES: .sci .bin .c .f .lo .o .obj
649 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
650         @for dep in $?; do \
651           case '$(am__configure_deps)' in \
652             *$$dep*) \
653               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
654                 && { if test -f $@; then exit 0; else break; fi; }; \
655               exit 1;; \
656           esac; \
657         done; \
658         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/double/Makefile'; \
659         $(am__cd) $(top_srcdir) && \
660           $(AUTOMAKE) --foreign modules/double/Makefile
661 .PRECIOUS: Makefile
662 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
663         @case '$?' in \
664           *config.status*) \
665             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
666           *) \
667             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
668             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
669         esac;
670 $(top_srcdir)/Makefile.incl.am:
671
672 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
673         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
674
675 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
676         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
677 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
678         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
679 $(am__aclocal_m4_deps):
680
681 clean-noinstLTLIBRARIES:
682         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
683         @list='$(noinst_LTLIBRARIES)'; \
684         locs=`for p in $$list; do echo $$p; done | \
685               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
686               sort -u`; \
687         test -z "$$locs" || { \
688           echo rm -f $${locs}; \
689           rm -f $${locs}; \
690         }
691
692 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
693         @$(NORMAL_INSTALL)
694         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
695         list2=; for p in $$list; do \
696           if test -f $$p; then \
697             list2="$$list2 $$p"; \
698           else :; fi; \
699         done; \
700         test -z "$$list2" || { \
701           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
702           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
703           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
704           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
705         }
706
707 uninstall-pkglibLTLIBRARIES:
708         @$(NORMAL_UNINSTALL)
709         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
710         for p in $$list; do \
711           $(am__strip_dir) \
712           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
713           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
714         done
715
716 clean-pkglibLTLIBRARIES:
717         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
718         @list='$(pkglib_LTLIBRARIES)'; \
719         locs=`for p in $$list; do echo $$p; done | \
720               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
721               sort -u`; \
722         test -z "$$locs" || { \
723           echo rm -f $${locs}; \
724           rm -f $${locs}; \
725         }
726
727 libdummy-double.la: $(libdummy_double_la_OBJECTS) $(libdummy_double_la_DEPENDENCIES) $(EXTRA_libdummy_double_la_DEPENDENCIES) 
728         $(AM_V_F77LD)$(F77LINK)  $(libdummy_double_la_OBJECTS) $(libdummy_double_la_LIBADD) $(LIBS)
729
730 libscidouble.la: $(libscidouble_la_OBJECTS) $(libscidouble_la_DEPENDENCIES) $(EXTRA_libscidouble_la_DEPENDENCIES) 
731         $(AM_V_F77LD)$(F77LINK) $(am_libscidouble_la_rpath) $(libscidouble_la_OBJECTS) $(libscidouble_la_LIBADD) $(LIBS)
732
733 mostlyclean-compile:
734         -rm -f *.$(OBJEXT)
735
736 distclean-compile:
737         -rm -f *.tab.c
738
739 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidouble_la-gw_double.Plo@am__quote@
740
741 .c.o:
742 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
743 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
747
748 .c.obj:
749 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
750 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
754
755 .c.lo:
756 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
757 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
761
762 libscidouble_la-gw_double.lo: sci_gateway/c/gw_double.c
763 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidouble_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidouble_la-gw_double.lo -MD -MP -MF $(DEPDIR)/libscidouble_la-gw_double.Tpo -c -o libscidouble_la-gw_double.lo `test -f 'sci_gateway/c/gw_double.c' || echo '$(srcdir)/'`sci_gateway/c/gw_double.c
764 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscidouble_la-gw_double.Tpo $(DEPDIR)/libscidouble_la-gw_double.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_double.c' object='libscidouble_la-gw_double.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidouble_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidouble_la-gw_double.lo `test -f 'sci_gateway/c/gw_double.c' || echo '$(srcdir)/'`sci_gateway/c/gw_double.c
768
769 .f.o:
770         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
771
772 .f.obj:
773         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
774
775 .f.lo:
776         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
777
778 vecldiv.lo: sci_gateway/fortran/vecldiv.f
779         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecldiv.lo `test -f 'sci_gateway/fortran/vecldiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecldiv.f
780
781 vecmul.lo: sci_gateway/fortran/vecmul.f
782         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecmul.lo `test -f 'sci_gateway/fortran/vecmul.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecmul.f
783
784 matxpow.lo: sci_gateway/fortran/matxpow.f
785         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matxpow.lo `test -f 'sci_gateway/fortran/matxpow.f' || echo '$(srcdir)/'`sci_gateway/fortran/matxpow.f
786
787 matldiv.lo: sci_gateway/fortran/matldiv.f
788         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matldiv.lo `test -f 'sci_gateway/fortran/matldiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/matldiv.f
789
790 matsubt.lo: sci_gateway/fortran/matsubt.f
791         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matsubt.lo `test -f 'sci_gateway/fortran/matsubt.f' || echo '$(srcdir)/'`sci_gateway/fortran/matsubt.f
792
793 vecrdiv.lo: sci_gateway/fortran/vecrdiv.f
794         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecrdiv.lo `test -f 'sci_gateway/fortran/vecrdiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecrdiv.f
795
796 matchsgn.lo: sci_gateway/fortran/matchsgn.f
797         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matchsgn.lo `test -f 'sci_gateway/fortran/matchsgn.f' || echo '$(srcdir)/'`sci_gateway/fortran/matchsgn.f
798
799 matrdiv.lo: sci_gateway/fortran/matrdiv.f
800         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matrdiv.lo `test -f 'sci_gateway/fortran/matrdiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/matrdiv.f
801
802 matrc.lo: sci_gateway/fortran/matrc.f
803         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matrc.lo `test -f 'sci_gateway/fortran/matrc.f' || echo '$(srcdir)/'`sci_gateway/fortran/matrc.f
804
805 matpow.lo: sci_gateway/fortran/matpow.f
806         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matpow.lo `test -f 'sci_gateway/fortran/matpow.f' || echo '$(srcdir)/'`sci_gateway/fortran/matpow.f
807
808 matins1.lo: sci_gateway/fortran/matins1.f
809         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matins1.lo `test -f 'sci_gateway/fortran/matins1.f' || echo '$(srcdir)/'`sci_gateway/fortran/matins1.f
810
811 matins2.lo: sci_gateway/fortran/matins2.f
812         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matins2.lo `test -f 'sci_gateway/fortran/matins2.f' || echo '$(srcdir)/'`sci_gateway/fortran/matins2.f
813
814 matcmp.lo: sci_gateway/fortran/matcmp.f
815         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matcmp.lo `test -f 'sci_gateway/fortran/matcmp.f' || echo '$(srcdir)/'`sci_gateway/fortran/matcmp.f
816
817 matmult.lo: sci_gateway/fortran/matmult.f
818         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matmult.lo `test -f 'sci_gateway/fortran/matmult.f' || echo '$(srcdir)/'`sci_gateway/fortran/matmult.f
819
820 matext1.lo: sci_gateway/fortran/matext1.f
821         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matext1.lo `test -f 'sci_gateway/fortran/matext1.f' || echo '$(srcdir)/'`sci_gateway/fortran/matext1.f
822
823 matext2.lo: sci_gateway/fortran/matext2.f
824         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matext2.lo `test -f 'sci_gateway/fortran/matext2.f' || echo '$(srcdir)/'`sci_gateway/fortran/matext2.f
825
826 mattr.lo: sci_gateway/fortran/mattr.f
827         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mattr.lo `test -f 'sci_gateway/fortran/mattr.f' || echo '$(srcdir)/'`sci_gateway/fortran/mattr.f
828
829 matcc.lo: sci_gateway/fortran/matcc.f
830         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matcc.lo `test -f 'sci_gateway/fortran/matcc.f' || echo '$(srcdir)/'`sci_gateway/fortran/matcc.f
831
832 mattrc.lo: sci_gateway/fortran/mattrc.f
833         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mattrc.lo `test -f 'sci_gateway/fortran/mattrc.f' || echo '$(srcdir)/'`sci_gateway/fortran/mattrc.f
834
835 matadd.lo: sci_gateway/fortran/matadd.f
836         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matadd.lo `test -f 'sci_gateway/fortran/matadd.f' || echo '$(srcdir)/'`sci_gateway/fortran/matadd.f
837
838 mostlyclean-libtool:
839         -rm -f *.lo
840
841 clean-libtool:
842         -rm -rf .libs _libs
843 install-libscidouble_la_etcDATA: $(libscidouble_la_etc_DATA)
844         @$(NORMAL_INSTALL)
845         @list='$(libscidouble_la_etc_DATA)'; test -n "$(libscidouble_la_etcdir)" || list=; \
846         if test -n "$$list"; then \
847           echo " $(MKDIR_P) '$(DESTDIR)$(libscidouble_la_etcdir)'"; \
848           $(MKDIR_P) "$(DESTDIR)$(libscidouble_la_etcdir)" || exit 1; \
849         fi; \
850         for p in $$list; do \
851           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
852           echo "$$d$$p"; \
853         done | $(am__base_list) | \
854         while read files; do \
855           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidouble_la_etcdir)'"; \
856           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidouble_la_etcdir)" || exit $$?; \
857         done
858
859 uninstall-libscidouble_la_etcDATA:
860         @$(NORMAL_UNINSTALL)
861         @list='$(libscidouble_la_etc_DATA)'; test -n "$(libscidouble_la_etcdir)" || list=; \
862         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
863         dir='$(DESTDIR)$(libscidouble_la_etcdir)'; $(am__uninstall_files_from_dir)
864 install-libscidouble_la_rootDATA: $(libscidouble_la_root_DATA)
865         @$(NORMAL_INSTALL)
866         @list='$(libscidouble_la_root_DATA)'; test -n "$(libscidouble_la_rootdir)" || list=; \
867         if test -n "$$list"; then \
868           echo " $(MKDIR_P) '$(DESTDIR)$(libscidouble_la_rootdir)'"; \
869           $(MKDIR_P) "$(DESTDIR)$(libscidouble_la_rootdir)" || exit 1; \
870         fi; \
871         for p in $$list; do \
872           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
873           echo "$$d$$p"; \
874         done | $(am__base_list) | \
875         while read files; do \
876           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidouble_la_rootdir)'"; \
877           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidouble_la_rootdir)" || exit $$?; \
878         done
879
880 uninstall-libscidouble_la_rootDATA:
881         @$(NORMAL_UNINSTALL)
882         @list='$(libscidouble_la_root_DATA)'; test -n "$(libscidouble_la_rootdir)" || list=; \
883         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
884         dir='$(DESTDIR)$(libscidouble_la_rootdir)'; $(am__uninstall_files_from_dir)
885
886 ID: $(am__tagged_files)
887         $(am__define_uniq_tagged_files); mkid -fID $$unique
888 tags: tags-am
889 TAGS: tags
890
891 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
892         set x; \
893         here=`pwd`; \
894         $(am__define_uniq_tagged_files); \
895         shift; \
896         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
897           test -n "$$unique" || unique=$$empty_fix; \
898           if test $$# -gt 0; then \
899             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
900               "$$@" $$unique; \
901           else \
902             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
903               $$unique; \
904           fi; \
905         fi
906 ctags: ctags-am
907
908 CTAGS: ctags
909 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
910         $(am__define_uniq_tagged_files); \
911         test -z "$(CTAGS_ARGS)$$unique" \
912           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
913              $$unique
914
915 GTAGS:
916         here=`$(am__cd) $(top_builddir) && pwd` \
917           && $(am__cd) $(top_srcdir) \
918           && gtags -i $(GTAGS_ARGS) "$$here"
919 cscopelist: cscopelist-am
920
921 cscopelist-am: $(am__tagged_files)
922         list='$(am__tagged_files)'; \
923         case "$(srcdir)" in \
924           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
925           *) sdir=$(subdir)/$(srcdir) ;; \
926         esac; \
927         for i in $$list; do \
928           if test -f "$$i"; then \
929             echo "$(subdir)/$$i"; \
930           else \
931             echo "$$sdir/$$i"; \
932           fi; \
933         done >> $(top_builddir)/cscope.files
934
935 distclean-tags:
936         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
937
938 distdir: $(DISTFILES)
939         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
940         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
941         list='$(DISTFILES)'; \
942           dist_files=`for file in $$list; do echo $$file; done | \
943           sed -e "s|^$$srcdirstrip/||;t" \
944               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
945         case $$dist_files in \
946           */*) $(MKDIR_P) `echo "$$dist_files" | \
947                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
948                            sort -u` ;; \
949         esac; \
950         for file in $$dist_files; do \
951           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
952           if test -d $$d/$$file; then \
953             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
954             if test -d "$(distdir)/$$file"; then \
955               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
956             fi; \
957             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
958               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
959               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
960             fi; \
961             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
962           else \
963             test -f "$(distdir)/$$file" \
964             || cp -p $$d/$$file "$(distdir)/$$file" \
965             || exit 1; \
966           fi; \
967         done
968 check-am: all-am
969         $(MAKE) $(AM_MAKEFLAGS) check-local
970 check: check-am
971 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
972 installdirs:
973         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidouble_la_etcdir)" "$(DESTDIR)$(libscidouble_la_rootdir)"; do \
974           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
975         done
976 install: install-am
977 install-exec: install-exec-am
978 install-data: install-data-am
979 uninstall: uninstall-am
980
981 install-am: all-am
982         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
983
984 installcheck: installcheck-am
985 install-strip:
986         if test -z '$(STRIP)'; then \
987           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
988             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
989               install; \
990         else \
991           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
992             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
993             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
994         fi
995 mostlyclean-generic:
996
997 clean-generic:
998
999 distclean-generic:
1000         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1001         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1002
1003 maintainer-clean-generic:
1004         @echo "This command is intended for maintainers to use"
1005         @echo "it deletes files that may require special tools to rebuild."
1006 clean: clean-am
1007
1008 clean-am: clean-generic clean-libtool clean-local \
1009         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1010
1011 distclean: distclean-am
1012         -rm -rf ./$(DEPDIR)
1013         -rm -f Makefile
1014 distclean-am: clean-am distclean-compile distclean-generic \
1015         distclean-local distclean-tags
1016
1017 dvi: dvi-am
1018
1019 dvi-am:
1020
1021 html: html-am
1022
1023 html-am:
1024
1025 info: info-am
1026
1027 info-am:
1028
1029 install-data-am: install-data-local install-libscidouble_la_etcDATA \
1030         install-libscidouble_la_rootDATA
1031
1032 install-dvi: install-dvi-am
1033
1034 install-dvi-am:
1035
1036 install-exec-am: install-pkglibLTLIBRARIES
1037
1038 install-html: install-html-am
1039
1040 install-html-am: install-html-local
1041
1042 install-info: install-info-am
1043
1044 install-info-am:
1045
1046 install-man:
1047
1048 install-pdf: install-pdf-am
1049
1050 install-pdf-am:
1051
1052 install-ps: install-ps-am
1053
1054 install-ps-am:
1055
1056 installcheck-am:
1057
1058 maintainer-clean: maintainer-clean-am
1059         -rm -rf ./$(DEPDIR)
1060         -rm -f Makefile
1061 maintainer-clean-am: distclean-am maintainer-clean-generic
1062
1063 mostlyclean: mostlyclean-am
1064
1065 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1066         mostlyclean-libtool
1067
1068 pdf: pdf-am
1069
1070 pdf-am:
1071
1072 ps: ps-am
1073
1074 ps-am:
1075
1076 uninstall-am: uninstall-libscidouble_la_etcDATA \
1077         uninstall-libscidouble_la_rootDATA uninstall-pkglibLTLIBRARIES
1078
1079 .MAKE: check-am install-am install-strip
1080
1081 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1082         check-local clean clean-generic clean-libtool clean-local \
1083         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1084         ctags ctags-am distclean distclean-compile distclean-generic \
1085         distclean-libtool distclean-local distclean-tags distdir dvi \
1086         dvi-am html html-am info info-am install install-am \
1087         install-data install-data-am install-data-local install-dvi \
1088         install-dvi-am install-exec install-exec-am install-html \
1089         install-html-am install-html-local install-info \
1090         install-info-am install-libscidouble_la_etcDATA \
1091         install-libscidouble_la_rootDATA install-man install-pdf \
1092         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1093         install-ps-am install-strip installcheck installcheck-am \
1094         installdirs maintainer-clean maintainer-clean-generic \
1095         mostlyclean mostlyclean-compile mostlyclean-generic \
1096         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1097         uninstall-am uninstall-libscidouble_la_etcDATA \
1098         uninstall-libscidouble_la_rootDATA uninstall-pkglibLTLIBRARIES
1099
1100
1101 # Following lines are extracted from a processed Makefile.in
1102 # Take care while modifying : append -O0 after all commons options
1103 vecimpl.lo: sci_gateway/fortran/vecimpl.f
1104         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -O0 -c -o vecimpl.lo `test -f 'sci_gateway/fortran/vecimpl.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecimpl.f
1105
1106 # This target enables tests for Scilab
1107 check-local: $(top_builddir)/scilab-bin test
1108         if test -d $(mydatadir)/tests; then \
1109           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1110         fi
1111 check-code:
1112         if test -f build.xml; then \
1113                 $(ANT) checkstyle; \
1114         fi
1115         if test -x "$(SPLINT)"; then \
1116                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1117         fi
1118 @NEED_JAVA_TRUE@java:
1119 # Some configurations needs to export JAVA_HOME in the current env
1120 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1121 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1122 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1123 @NEED_JAVA_TRUE@                $(ANT); \
1124 @NEED_JAVA_TRUE@        fi
1125
1126 @NEED_JAVA_TRUE@clean-java:
1127 # Some configurations needs to export JAVA_HOME in the current env
1128 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1129 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1130 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1131 @NEED_JAVA_TRUE@                $(ANT) clean; \
1132 @NEED_JAVA_TRUE@        fi;
1133
1134 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1135 # We call the target swig-build on the variable SWIG_WRAPPERS
1136
1137 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1138 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1139 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1140 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1141 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1142 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1143 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1144 @SWIG_TRUE@             done; \
1145 @SWIG_TRUE@     fi
1146
1147 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1148 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1149 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1150 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1151 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1152 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1153 @SWIG_TRUE@             done; \
1154 @SWIG_TRUE@     fi
1155
1156 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1157 # We call the target swig-build on the variable SWIG_WRAPPERS
1158
1159 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1160 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1161 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1162 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1163 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1164 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1165 @GIWS_TRUE@             done; \
1166 @GIWS_TRUE@     fi
1167
1168 @GIWS_TRUE@giws-exception:
1169 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1170 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1171 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1172
1173 macros:
1174         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1175                 echo "Error : Cannot build $< : Scilab has not been built"; \
1176         else \
1177                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1178         fi)
1179
1180 # Removes the macros
1181 clean-macros:
1182 # Removes macros (*.bin generated from .sci)
1183         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1184                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1185                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1186         done
1187
1188 test:
1189 # More tests could be added here
1190         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1191         if test -f build.xml -a $$USEANT -eq 1; then \
1192                 $(ANT) test; \
1193         fi
1194
1195 all-local: $(TARGETS_ALL)
1196
1197 .sci.bin:
1198         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1199         echo "Error : Cannot build $< : Scilab has not been build"; \
1200         else \
1201         echo "Creating $@"; \
1202         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1203         fi )
1204
1205 install-html-local:
1206
1207 install-data-local-local:
1208 # Mainly for javasci
1209         @if test -d $(srcdir)/javadoc; then \
1210                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1211         fi
1212 # If the user wants the help sources to be installed
1213 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1214 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1215 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1216 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1217 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1218 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1219 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1220 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1221 @INSTALL_HELP_XML_TRUE@           done ; \
1222 @INSTALL_HELP_XML_TRUE@         fi; \
1223 @INSTALL_HELP_XML_TRUE@  fi; \
1224 @INSTALL_HELP_XML_TRUE@ done; \
1225 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1226 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1227 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1228 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1229 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1230 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1231 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1232 @INSTALL_HELP_XML_TRUE@           done ; \
1233 @INSTALL_HELP_XML_TRUE@         fi; \
1234 @INSTALL_HELP_XML_TRUE@ fi
1235 install-data-local:
1236 # Install the tests
1237         @echo "-------- Install tests (if any) --------"; \
1238         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1239           if test -d $(srcdir)/$$dir/; then \
1240             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1241                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1242                     if test -d "$(srcdir)/$$dir/$$file"; then \
1243                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1244                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1245                     else \
1246                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1247                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1248                     fi \
1249                   done; \
1250           fi; \
1251         done
1252 # Install the help chapter
1253         @echo "-------- Install the help chapter (if any) --------"; \
1254         for lang in $(HELP_CHAPTERLANG); do \
1255                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1256                 if test -f $$HELPFILE; then \
1257                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1258                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1259                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1260                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1261                 fi; \
1262         done
1263 # Install the demos & examples
1264         @echo "-------- Install demos & examples (if any) --------"; \
1265         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1266           if test -d $(srcdir)/$$dir/; then \
1267             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1268                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1269                     if test -d "$(srcdir)/$$dir/$$file"; then \
1270                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1271                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1272                     else \
1273                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1274                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1275                     fi \
1276                   done; \
1277           fi; \
1278         done
1279 # Install the macros
1280         @echo "-------- Install macros (if any) --------"; \
1281         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1282           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1283                 if test -d $(srcdir)/$$dir/; then \
1284                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1285                         if test -n "$(MACROSSPECIALEXT)"; then \
1286                                 specialExtDir=""; \
1287                                 for specialExt in $(MACROSSPECIALEXT); do \
1288                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1289                                 done; \
1290                                 FILELIST="$$FILELIST $$specialExtDir"; \
1291                         fi; \
1292                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1293                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1294                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1295                   done; \
1296                 fi; \
1297         done
1298 # Install java files (.jar)
1299         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1300         echo "-------- Install jar files --------"; \
1301     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1302           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1303                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1304                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1305           done ; \
1306         fi
1307
1308 ########### CLEAN ###################
1309 # Clean help (generated automatically by Scilab)
1310 # It used to clean the macro (clean-macros) but this was causing
1311 # make clean && make to fail Scilab startup
1312 @NEED_JAVA_TRUE@clean-local: clean-java
1313 @NEED_JAVA_FALSE@clean-local:
1314
1315 distclean-local:
1316         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1317
1318 .PHONY: macros java swig giws
1319
1320 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1321 # Otherwise a system limit (for SysV at least) may be exceeded.
1322 .NOEXPORT: